{ pkgs, lib, ... }@args:
let
  cfg = args.config.jconfig;
in
{
  config = lib.mkIf cfg.enable {
    programs.starship = {
      enable = true;
      settings = lib.mkMerge [
        {
          format = "$time$all";
          add_newline = false;
          cmd_duration.min_time = 500;
          cmd_duration.show_milliseconds = true;
          time.disabled = false;
          status = {
            format = "[$signal_name$common_meaning$maybe_int](red)";
            symbol = "[✗](bold red)";
            disabled = false;
          };
          sudo.disabled = false;
        }
        # Add nerdfont symbols
        (lib.mkIf cfg.styling.enable (lib.importJSON ./starship/symbols.json))
        # Remove the `in`s and `on`s from the prompt
        (lib.importJSON ./starship/short-text.json)
      ];
    };
  };
}
